Bug 697080 - ancestry hover throws exception in operation schedule resource list
ancestry hover throws exception in operation schedule resource list
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-15 14:47 EDT by John Mazzitelli
Modified: 2011-05-23 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-04-15 14:47:30 EDT
Schedule a group operation for execution in the future. Make sure you tell it to execute in a specific order of resources (i.e. not parallel).

Once scheduled, go view the schedule's details. Then hover over the resources in the resource list. Notice you get a red globally caught exception message:

com_google_gwt_lang_Cast_dynamicCast__Ljava_lang_Object_2ILjava_lang_Object_2((com_smartgwt_client_util_JSOHelper_getAttributeAsObject__Lcom_google_gwt_core_client_JavaScriptObject_2Ljava_lang_String_2Ljava_lang_Object_2_ret_0 = listGridRecord.com_smartgwt_client_core_JsObject_jsObj[$intern_3121], com_smartgwt_client_util_JSOHelper_getAttributeAsObject__Lcom_google_gwt_core_client_JavaScriptObject_2Ljava_lang_String_2Ljava_lang_Object_2_ret_0 === undefined ? null : com_smartgwt_client_util_JSOHelper_getAttributeAsObject__Lcom_google_gwt_core_client_JavaScriptObject_2Ljava_lang_String_2Ljava_lang_Object_2_ret_0), 628) is null stack: org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil_getAncestryHoverHTML__Lcom_smartgwt_client_widgets_grid_ListGridRecord_2ILjava_lang_String_2([object Object],0)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html:62233 org_rhq_enterprise_gui_coregui_client_inventory_groups_detail_operation_schedule_GroupOperationScheduleDetailsView$2_hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2("RHQ Agent",[object Object],2,1)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html:61601 ([object Object],"RHQ Agent",2,1,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html:23522 com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2((function (record, value, rowNum, colNum, grid) {var recordJ = com_smartgwt_client_widgets_grid_ListGridRecord_getOrCreateRef__Lcom_google_gwt_core_client_JavaScriptObject_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2(record);var valueJ = $wnd.SmartGWT.convertToJavaType(value);return hoverCustomizer.hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2(valueJ, recordJ, rowNum, colNum);}),[object Object],[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html:2474 ([object Object],"RHQ Agent",2,1,[object Object])@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html:2461 isc_ListGrid_cellHoverHTML([object Object],2,1)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1557 anonymous([object Object],2,1)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:927 isc_GridRenderer__showHover([object Object],2,1)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:718 isc_GridRenderer__cellHover(2,1)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:717 isc_c_Hover__doAction()@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3764 isc_c_Class_fireCallback([object Object],(void 0),[object Array],[object Object],true)@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:296 isc_c_Timer__fireTimeout("$ir9400")@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1186 @http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:1181 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/8E219719088408D1097A8BE5443CBF2D.cache.html lineNumber: 62233
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil_getAncestryHoverHTML__Lcom_smartgwt_client_widgets_grid_ListGridRecord_2ILjava_lang_String_2(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_inventory_groups_detail_operation_schedule_GroupOperationScheduleDetailsView$2_hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_ListGrid_cellHoverHTML(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.isc_GridRenderer__showHover(Unknown source:0)
    at Unknown.isc_GridRenderer__cellHover(Unknown source:0)
    at Unknown.isc_c_Hover__doAction(Unknown source:0)
    at Unknown.isc_c_Class_fireCallback(Unknown source:0)
    at Unknown.isc_c_Timer__fireTimeout(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
Comment 1 Jay Shaughnessy 2011-04-15 21:42:59 EDT
commit ee1e41665da6cb0ef111bfba045117b777997371
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Fri Apr 15 21:40:45 2011 -0400

    - Add the necessary info for successful hover.  A bit of a pain, actually.
    - Also, fix issue with null notes field for op schedule
Comment 2 Sunil Kondkar 2011-05-12 07:26:06 EDT
Verified on rhq4 release build (Version: 4.0.0 Build Number: db0c817)

Scheduled a group operation for execution in the future. (Selected specific order of resources).

Navigated to the schedule's details. Hovering over the resources in the resource list does not display any exception.

Marking as verified.
Comment 3 Corey Welton 2011-05-23 21:10:40 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:10:47 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.